- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# osgProducer Namespace Reference

The osgProducer is a utility library integrates OpenProducer to provide a general purpose viewer classes. More...

## Classes
class | EventAdapter
| Class for adapting Producer events so that they can be used as input to osgGA::CameraManipulators. More...
class | KeyboardMouseCallback
class | OsgCameraGroup
class | OsgSceneHandler
class | Viewer
class | ViewerEventHandler

## Detailed Description

The osgProducer is a utility library integrates OpenProducer to provide a general purpose viewer classes.

osgProducer is used by all the OpenSceneGraph examples, and can also be used for client application development.

Note, the core scene graph libraries and NodeKits are entirely Windowing API agnostic so you are free to implement your own integration with whichever Windowing toolkit you prefer.